Bug 1724540 - copyq-3.9.0 is available
Summary: copyq-3.9.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: copyq
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gerald Cox
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-27 09:01 UTC by Upstream Release Monitoring
Modified: 2019-07-06 05:07 UTC (History)
1 user (show)

Fixed In Version: copyq-3.9.0-1.fc30 copyq-3.9.0-1.fc29
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-06 04:09:16 UTC


Attachments (Terms of Use)
[patch] Update to 3.9.0 (#1724540) (985 bytes, patch)
2019-06-27 09:01 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2019-06-27 09:01:03 UTC
Latest upstream release: 3.9.0
Current version/release in rawhide: 3.8.0-1.fc31
URL: https://hluk.github.io/CopyQ

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/6205/

Comment 1 Upstream Release Monitoring 2019-06-27 09:01:14 UTC
Created attachment 1585096 [details]
[patch] Update to 3.9.0 (#1724540)

Comment 2 Gerald Cox 2019-06-27 16:43:13 UTC
v3.9.0

    Large images in clipboard are no longer automatically converted to other
    formats - it caused slowdowns and was mostly unnecessary since some usable
    image format was provided.

    The server/GUI process now provides the clipboard and no other process is
    started (i.e. "copyq provideClipboard"). The other process helped to unblock
    GUI in rare cases when an application requested large amount of clipboard
    data, but it could cause some slowdowns to start the process.

    Closing external editor focuses the edited item again (if the editor was open
    from main window).

    Only Global Shortcut commands are shown in tray menu.

    Separate Global and Application shortcuts into tabs in configuration dialog.

    New per-tab configuration allows disabling storing items on disk and limiting
    number of items.

    New script function unload() and forceUnload() allow unloading tabs from main
    memory.

    Tabs synchronized with a directory on disk are updated only when needed. An
    update happens regularly when synced tab has focus or item data and are too
    old. Update interval is 10s and can be changed by setting env variable
    COPYQ_SYNC_UPDATE_INTERVAL_MS (in ms).

    X11: New option allows to disable running automatic commands on X11 selection
    change.

    Fix rare crash on exit.

    Fix value returned by filter() after it's hidden

    Fix memory leak (tool bar and menu items were not properly cleaned up)

    Fix crash when opening content dialog with many formats

    OSX: Fix pixelated UI rendering on retina displays.

    Windows: Fix blocking Ctrl, Shift and other modifier keys after invoking
    paste action. The downside is that it's no longer possible to invoke command
    assigned to a global shortcut repeatedly without releasing these keys.

    X11: Fix high CPU usage when mouse selection cannot be accessed.

    X11: Fix assigning global shortcuts with keypad keys

Comment 3 Fedora Update System 2019-06-27 17:30:31 UTC
FEDORA-2019-9318b44e2b has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9318b44e2b

Comment 4 Fedora Update System 2019-06-27 17:31:07 UTC
FEDORA-2019-420b848141 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-420b848141

Comment 5 Fedora Update System 2019-06-28 18:25:29 UTC
copyq-3.9.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-420b848141

Comment 6 Fedora Update System 2019-06-28 21:44:21 UTC
copyq-3.9.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9318b44e2b

Comment 7 Fedora Update System 2019-07-06 04:09:16 UTC
copyq-3.9.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-07-06 05:07:59 UTC
copyq-3.9.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.